> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trainy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update run config

> Merges new configuration with existing run config. New keys override existing keys.



## OpenAPI

````yaml /pluto/api-reference/openapi.json post /api/runs/config/update
openapi: 3.0.0
info:
  title: mlop API
  version: 1.0.0
  description: API for mlop - ML experiment tracking platform
servers:
  - url: https://pluto-api.trainy.ai
    description: API Server
security:
  - bearerAuth: []
paths:
  /api/runs/config/update:
    post:
      tags:
        - Runs
      summary: Update run config
      description: >-
        Merges new configuration with existing run config. New keys override
        existing keys.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                runId:
                  type: number
                  description: Numeric ID of the run
                config:
                  type: string
                  description: Configuration as JSON string
                  example: '{"model": "resnet50"}'
              required:
                - runId
                - config
      responses:
        '200':
          description: Config updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Success'
        '400':
          description: Invalid config JSON
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Run not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Success:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
    Error:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key obtained from the mlop dashboard

````